---
title: "Get MP product information"
url: "https://developer.migros.ch/apis/odin-1/versions/85d1c695-d7c8-4825-98d5-c795728e2a00/operations/get-mp-products"
---

> Full API specification: https://developer.migros.ch/apis/odin-1/versions/85d1c695-d7c8-4825-98d5-c795728e2a00.md

# Get MP product information

`GET` `/migrospartner/products/odin/v1/products/{storeID}/{productID}`

Operation ID: `get-mp-products`

Will look for a product in a specific store (storeID)

## Path parameters

- `storeID` (string, required) - The store in which the product is getting searched.
- `productID` (string, required) - The id of the product.

## Responses

- `200` - Product

## OpenAPI definition

```yaml
openapi: 3.0.0
info:
  title: Odin
  version: 1.0.0
servers:
  - description: URL of upstream
    url: https://api.migros.ch
paths:
  /migrospartner/products/odin/v1/products/{storeID}/{productID}:
    get:
      description: Will look for a product in a specific store (storeID)
      operationId: get-mp-products
      parameters:
        - description: The store in which the product is getting searched.
          in: path
          name: storeID
          required: true
          schema:
            type: string
        - description: The id of the product.
          in: path
          name: productID
          required: true
          schema:
            type: string
      responses:
        "200":
          content:
            application/json:
              schema:
                $ref: "#/components/schemas/MofipProduct"
          description: Product
      summary: Get MP product information
      tags:
        - ESL-MP
security:
  - Kong-Api-Key: []
components:
  schemas:
    MofipProduct:
      description: MofipProduct is the Migros-Partner/VOI (MP-VOI) API Modell for
        Mofip to read from. As Mofip does not integrate the Data from the MP-VOI
        interface which is provided by Zucchetti GmbH called WebBO, we as the
        middlelayer leverage the API to read the data from.
      properties:
        category:
          description: Category is the BoSS Number which declares in which segment the
            product is. Schinken is Fleisch = 04 is an example, we know later.
          example: "050115240505"
          type: string
        gtin:
          description: GTIN is the fka EAN. (eg. Barcode)
          example: "2124307000001"
          type: string
        product_id:
          description: ProductID is the WebBO specific product-id.
          example: "275700501000"
          type: string
        product_name:
          description: ProductName represents the Name of the product that has been saved
            in WebBO.
          example: Blumenkohl
          type: string
        show_origin:
          description: Origin tells the caller if this product needs additional input from
            the store-employee about the origin.
          example: false
          type: boolean
        show_wildfang:
          description: Wildfang tells the caller, if the product needs additional input
            from the store-employee about the fangzone.
          example: false
          type: boolean
      required:
        - product_id
        - product_name
        - category
        - gtin
      type: object
  securitySchemes:
    Kong-Api-Key:
      description: Kong key-auth authentication
      in: header
      name: X-Api-Key
      type: apiKey
```
